(function ($, Drupal, once) {
    Drupal.behaviors.offCanvasMenu = {
        attach: function (context) {
            once('offCanvasToggle', '#off-canvas-toggle-btn', context).forEach(function (el) {
                $(el).on('click', function () {
                    $('#off-canvas-menu').addClass('open');
                });
            });

            once('offCanvasClose', '#off-canvas-close-btn', context).forEach(function (el) {
                $(el).on('click', function () {
                    $('#off-canvas-menu').removeClass('open');
                });
            });
        }
    };
})(jQuery, Drupal, once);
